(maint) allow setting PUPPET_VERSION in acceptance
[puppet_vcsrepo.git] / metadata.json
1 {
2   "name": "puppetlabs-vcsrepo",
3   "version": "1.3.0",
4   "author": "Puppet Labs",
5   "summary": "Puppet module providing a type to manage repositories from various version control systems",
6   "license": "GPLv2",
7   "source": "https://github.com/puppetlabs/puppetlabs-vcsrepo",
8   "project_page": "https://github.com/puppetlabs/puppetlabs-vcsrepo",
9   "issues_url": "https://tickets.puppetlabs.com/browse/MODULES",
10   "operatingsystem_support": [
11     {
12       "operatingsystem": "RedHat",
13       "operatingsystemrelease": [
14         "5",
15         "6",
16         "7"
17       ]
18     },
19     {
20       "operatingsystem": "CentOS",
21       "operatingsystemrelease": [
22         "5",
23         "6",
24         "7"
25       ]
26     },
27     {
28       "operatingsystem": "OracleLinux",
29       "operatingsystemrelease": [
30         "5",
31         "6",
32         "7"
33       ]
34     },
35     {
36       "operatingsystem": "Scientific",
37       "operatingsystemrelease": [
38         "5",
39         "6",
40         "7"
41       ]
42     },
43     {
44       "operatingsystem": "SLES",
45       "operatingsystemrelease": [
46         "10 SP4",
47         "11 SP1",
48         "12"
49       ]
50     },
51     {
52       "operatingsystem": "Debian",
53       "operatingsystemrelease": [
54         "6",
55         "7"
56       ]
57     },
58     {
59       "operatingsystem": "Ubuntu",
60       "operatingsystemrelease": [
61         "10.04",
62         "12.04",
63         "14.04"
64       ]
65     }
66   ],
67   "requirements": [
68     {
69       "name": "pe",
70       "version_requirement": "3.x"
71     },
72     {
73       "name": "puppet",
74       "version_requirement": "3.x"
75     }
76   ],
77   "dependencies": [
78   
79   ]
80 }